/*
 * WorldEdit, a Minecraft world manipulation toolkit
 * Copyright (C) sk89q <http://www.sk89q.com>
 * Copyright (C) WorldEdit team and contributors
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

package com.sk89q.worldedit.blocks;

import com.sk89q.worldedit.world.block.BlockTypes;

/**
 * List of block IDs.
 *
 * {@deprecated Please use {@link BlockTypes }}
 */
@Deprecated
public final class BlockID {
    public static final int SAPLING = 6;
    public static final int BED = 26;
    public static final int POWERED_RAIL = 27; // GOLDEN_RAIL
    public static final int DETECTOR_RAIL = 28;
    public static final int LONG_GRASS = 31; // TALLGRASS
    public static final int DEAD_BUSH = 32; // DEADBUSH
    public static final int PISTON_EXTENSION = 34; // PISTON_HEAD
    public static final int YELLOW_FLOWER = 37;
    public static final int RED_FLOWER = 38;
    public static final int BROWN_MUSHROOM = 39;
    public static final int RED_MUSHROOM = 40;
    public static final int STEP = 44; // STONE_SLAB
    public static final int TORCH = 50;
    public static final int REDSTONE_WIRE = 55;
    public static final int CROPS = 59; // WHEAT
    public static final int SIGN_POST = 63; // STANDING_SIGN
    public static final int WOODEN_DOOR = 64; // WOODEN_DOOR
    public static final int LADDER = 65;
    public static final int MINECART_TRACKS = 66; // RAIL
    public static final int WALL_SIGN = 68;
    public static final int LEVER = 69;
    public static final int STONE_PRESSURE_PLATE = 70;
    public static final int IRON_DOOR = 71;
    public static final int WOODEN_PRESSURE_PLATE = 72;
    public static final int REDSTONE_TORCH_OFF = 75; // UNLIT_REDSTONE_TORCH
    public static final int REDSTONE_TORCH_ON = 76; // LIT_REDSTONE_TORCH
    public static final int STONE_BUTTON = 77;
    public static final int SNOW = 78; // SNOW_LAYER
    public static final int CACTUS = 81;
    public static final int REED = 83; // REEDS
    public static final int FENCE = 85;
    public static final int SLOW_SAND = 88; // SOUL_SAND
    public static final int CAKE_BLOCK = 92; // CAKE
    public static final int REDSTONE_REPEATER_OFF = 93; // UNPOWERED_REPEATER
    public static final int REDSTONE_REPEATER_ON = 94; // POWERED_REPEATER
    public static final int TRAP_DOOR = 96; // TRAPDOOR
    public static final int PUMPKIN_STEM = 104;
    public static final int MELON_STEM = 105;
    public static final int VINE = 106;
    public static final int FENCE_GATE = 107;
    public static final int LILY_PAD = 111; // WATERLILY
    public static final int NETHER_WART = 115;
    public static final int ENCHANTMENT_TABLE = 116; // ENCHANTING_TABLE
    public static final int BREWING_STAND = 117;
    public static final int CAULDRON = 118;
    public static final int END_PORTAL_FRAME = 120;
    public static final int WOODEN_STEP = 126; // WOODEN_SLAB
    public static final int COCOA_PLANT = 127; // COCOA
    public static final int TRIPWIRE_HOOK = 131;
    public static final int TRIPWIRE = 132;
    public static final int COBBLESTONE_WALL = 139;
    public static final int FLOWER_POT = 140;
    public static final int CARROTS = 141;
    public static final int POTATOES = 142;
    public static final int WOODEN_BUTTON = 143;
    public static final int HEAD = 144; // SKULL
    public static final int ANVIL = 145;
    public static final int PRESSURE_PLATE_LIGHT = 147; // LIGHT_WEIGHTED_PRESSURE_PLATE
    public static final int PRESSURE_PLATE_HEAVY = 148; // HEAVY_WEIGHTED_PRESSURE_PLATE
    public static final int COMPARATOR_OFF = 149; // UNPOWERED_COMPARATOR
    public static final int COMPARATOR_ON = 150; // COMPARATOR
    public static final int DAYLIGHT_SENSOR = 151; // DAYLIGHT_DETECTOR
    public static final int HOPPER = 154;
    public static final int ACTIVATOR_RAIL = 157;
    public static final int IRON_TRAP_DOOR = 167;
    public static final int CARPET = 171;
    public static final int DOUBLE_PLANT = 175;
    public static final int STANDING_BANNER = 176;
    public static final int WALL_BANNER = 177;
    public static final int STEP2 = 182;
    public static final int SPRUCE_DOOR = 193;
    public static final int BIRCH_DOOR = 194;
    public static final int JUNGLE_DOOR = 195;
    public static final int ACACIA_DOOR = 196;
    public static final int DARK_OAK_DOOR = 197;

    private BlockID() {
    }
}
